Skip to main content
`Ctrl`+`K`

# smallpond.execution.driver.Driver

class smallpond.execution.driver.Driver

  A helper class that includes boilerplate code to execute a logical plan.

  __init__() → None

  Methods

  `__init__`() |
  `add_argument`(*args, **kwargs) | Add a command-line argument.
  `get_arguments`([to_dict]) | Get user-defined arguments.
  `get_driver_arguments`([to_dict]) |
  `get_user_arguments`([to_dict]) | Get user-defined arguments.
  `parse_arguments`([args]) |
  `run`(plan[, stop_process_on_done, tags]) | The entry point for executor and scheduler of plan.

  Attributes

  `data_root` |
  `job_id` |
  `mode` |
  `num_executors` |